#include "eyemap.h"
#include "ui_eyemap.h"
#include <QApplication>

EyeMap::EyeMap(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::EyeMap)
{
    ui->setupUi(this);
    m_logger = spdlog::get("OSC");
    if(m_logger == nullptr)
    {
        SPDLOG_ERROR("获取 OSC logger 失败");
        return;
    }

    SPDLOG_LOGGER_INFO(m_logger, "EyeMap 初始化成功");
    if(m_oscData.openOSC())
    {
        SPDLOG_LOGGER_INFO(m_logger, "打开示波器成功");
    } else {
        SPDLOG_LOGGER_ERROR(m_logger, "打开示波器失败");
        return;
    }
    
    m_oscData.startCapture();
}

EyeMap::~EyeMap()
{
    delete ui;
}

